# Uses of Interface co.aikar.commands.ExceptionHandler (ACF (Core) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands, interface: ExceptionHandler

# Uses of Interface
co.aikar.commands.ExceptionHandler

Packages that use ExceptionHandler
Package
Description
co.aikar.commands

## Uses of ExceptionHandler in co.aikar.commands

Fields in co.aikar.commands declared as ExceptionHandler
Modifier and Type
Field
Description
`protected ExceptionHandler`
CommandManager.`defaultExceptionHandler`
Methods in co.aikar.commands that return ExceptionHandler
Modifier and Type
Method
Description
`ExceptionHandler`
CommandManager.`getDefaultExceptionHandler()`
Gets the current default exception handler, might be null.
`ExceptionHandler`
BaseCommand.`getExceptionHandler()`
Methods in co.aikar.commands with parameters of type ExceptionHandler
Modifier and Type
Method
Description
`void`
CommandManager.`setDefaultExceptionHandler(ExceptionHandler exceptionHandler)`
Sets the default `ExceptionHandler` that is called when an exception occurs while executing a command, if the command doesn't have its own exception handler registered.
`void`
CommandManager.`setDefaultExceptionHandler(ExceptionHandler exceptionHandler, boolean logExceptions)`
Sets the default `ExceptionHandler` that is called when an exception occurs while executing a command, if the command doesn't have its own exception handler registered, and lets you control if ACF should also log the exception still.
`BaseCommand`
BaseCommand.`setExceptionHandler(ExceptionHandler exceptionHandler)`